com.tibbo.aggregate.common.util

## Class WebWindowLocation

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.WebWindowLocation

-     public class WebWindowLocation
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BROWSER_TAB_CURRENT`
    `static int` | `BROWSER_TAB_NEW`
    `static java.lang.String` | `F_BROWSER_TAB`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebWindowLocation()`
    `WebWindowLocation(DataRecord data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getBrowserTab()`
    `void` | `setBrowserTab(java.lang.Integer browserTab)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### F_BROWSER_TAB

          public static final java.lang.String F_BROWSER_TAB

      See Also:
        Constant Field Values

    - #### BROWSER_TAB_CURRENT

          public static final int BROWSER_TAB_CURRENT

      See Also:
        Constant Field Values

    - #### BROWSER_TAB_NEW

          public static final int BROWSER_TAB_NEW

      See Also:
        Constant Field Values

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### WebWindowLocation

          public WebWindowLocation()

    - #### WebWindowLocation

          public WebWindowLocation(DataRecord data)

  - ### Method Detail

    - #### getBrowserTab

          public java.lang.Integer getBrowserTab()

    - #### setBrowserTab

          public void setBrowserTab(java.lang.Integer browserTab)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`